Status: Closed Start date: 02/17/2014

Priority: Normal Due date: 02/26/2014

Assignee: Marius Gligor % Done: 100%

Category:  Estimated time: 40.00 hours

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

Related issues:

Related to User Interface - Feature #1811: implement the AJAX client driver Closed 11/01/2013 03/06/2014

History

#1 - 02/17/2014 10:50 AM - Greg Shah

Using the ChUI web client with MAJIC exposes some performance problems.  Although the web client inherently has a different architecture, it is

critical to resolve these issues such that the web client performs in a manner that allows real users to use it in a production environment.

The following describes the

Login to main menu

   syman/test123

Show a down frame, typical user navigation, custom menus:

   Start at the main menuLogin to main menu

   syman/test123

Show a down frame, typical user navigation, custom menus:

   Start at the main menu

   F (Master File Maintenance)

   K (Aircraft)

   (N)ext and (P)rev around a bit, holding down, to show typical user navigation

   (L)ist to show down frame, then space bar multiple times to end of list

   (R)eturn x2 to main menu

Show a browse widget and different menu style (buttons):

   Start at the main menu

   ? to bring up function browser (explain not a real browse)

   Type "po.aog" <Enter><Enter> to bring up Inbound AOG Browser screen

   The first time in, it will start scrolled to last record (explain this is a quirk we emulate)

   Scroll up and down with arrow keys

   "U" or <Tab> to "<Upd>" button and <Enter>

   <Tab> through update screen, <F4> to exit

   <F4> or "E" plus "Y" to exit browse screen to main menu

Show typical, jam-packed ChUI screen (Service Order), multi-part update:

   Start at the main menu

   V (Service Order Entry Screen)

   (N)ext and (P)rev to navigate, come back to original order

   U to update

   <Enter> x2, <F4> to show multi-part update

   F (Master File Maintenance)

   K (Aircraft)

   (N)ext and (P)rev around a bit, holding down, to show typical user navigation

   (L)ist to show down frame, then space bar multiple times to end of list

   (R)eturn x2 to main menu

Show a browse widget and different menu style (buttons):

   Start at the main menu

   ? to bring up function browser (explain not a real browse)

   Type "po.aog" <Enter><Enter> to bring up Inbound AOG Browser screen
   The first time in, it will start scrolled to last record (explain this is a quirk we emulate)

   Scroll up and down with arrow keys

   "U" or <Tab> to "<Upd>" button and <Enter>

   <Tab> through update screen, <F4> to exit

   <F4> or "E" plus "Y" to exit browse screen to main menu

Show typical, jam-packed ChUI screen (Service Order), multi-part update:

   Start at the main menu

   V (Service Order Entry Screen)

   (N)ext and (P)rev to navigate, come back to original order

   U to update

   <Enter> x2, <F4> to show multi-part update

 

Please bring up a "real" terminal client and the web client side-by-side and run through these steps simultaneously on both.  The performance issues

are most often seen on:

down frames

interactive input/editing

There are also some times when there are display artifacts that appear (you can consisently see this just after login to MAJIC, before the main menu

is drawn).  Please resolve this as well.

devsrv01 can be used for this testing.  Constantin can help get this running in your environment.  Please put all technical discussions in #1811 instead

of here, except for any TIMCO/MAJIC related details, which must be placed here so that they stay in a TIMCO-specific area of Redmine.

#2 - 02/19/2014 02:16 AM - Marius Gligor

- Status changed from New to WIP

#3 - 02/19/2014 03:10 AM - Constantin Asofiei

How to launch a Shell command in MAJIC:

login to main menu using syman/test123

press F2 for dev help

press U for plain shell or V to open vi editor.

#4 - 03/06/2014 10:38 AM - Marius Gligor

- % Done changed from 0 to 90
https://proj.goldencode.com/issues/1811


- Status changed from WIP to Review

#5 - 03/07/2014 04:09 AM - Marius Gligor

- % Done changed from 90 to 100

#6 - 03/07/2014 08:34 AM - Greg Shah

- Status changed from Review to Closed

#7 - 11/16/2016 12:15 PM - Greg Shah

- Project changed from Majic Conversion to User Interface

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App
